package org.xbib.datastructures.immutable;

class NonTerminalImmutableBiMapEntry<K, V>
        extends NonTerminalImmutableMapEntry<K, V> {
    private final transient ImmutableMapEntry<K, V> nextInValueBucket;

    NonTerminalImmutableBiMapEntry(K key,
            V value,
            ImmutableMapEntry<K, V> nextInKeyBucket,
            ImmutableMapEntry<K, V> nextInValueBucket) {
        super(key, value, nextInKeyBucket);
        this.nextInValueBucket = nextInValueBucket;
    }

    @Override
    ImmutableMapEntry<K, V> getNextInValueBucket() {
        return nextInValueBucket;
    }
}
